GenericTest (Resource Management Portlet Common IS Operations Support Library 1.0.0-SNAPSHOT API)
Date: 2012-12-19

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.resourcemanagement.support.tests
Class GenericTest

    java.lang.Object
      org.gcube.resourcemanagement.support.tests.GenericTest

    public class GenericTest

extends Object

Author:
  Daniele Strollo (ISTI-CNR)

Constructor Summary
`GenericTest()`

Method Summary
`static void` | `main(String[] args)`
`static String` | `testCreation()`
`static void` | `testDelete(String resID, org.gcube.common.core.scope.GCUBEScope scope)`
`static void` | `testGHN()`
`static void` | `testModeGHN(String resID, String scope)`
`static void` | `testRemoveFromScope(String resID, org.gcube.common.core.scope.GCUBEScope scope)`
`static void` | `testResourceEdit(String resID, org.gcube.common.core.scope.GCUBEScope scope)`
`static void` | `testScope()`
`static void` | `testScopeCopy(String resID, String fromScope, String toScope)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericTest

    public GenericTest()

Method Detail

### testScope

    public static void testScope()

### testCreation

    public static String testCreation()

### testScopeCopy

    public static void testScopeCopy(String resID,
                                     String fromScope,
                                     String toScope)

### testResourceEdit

    public static void testResourceEdit(String resID,
                                        org.gcube.common.core.scope.GCUBEScope scope)

### testModeGHN

    public static void testModeGHN(String resID,
                                   String scope)
                            throws Exception

  Throws:
    `Exception`

### testGHN

    public static void testGHN()

### testRemoveFromScope

    public static void testRemoveFromScope(String resID,
                                           org.gcube.common.core.scope.GCUBEScope scope)

### testDelete

    public static void testDelete(String resID,
                                  org.gcube.common.core.scope.GCUBEScope scope)

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.